summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2016-01-15 13:25:54 -0500
committerMike Frysinger <vapier@gentoo.org>2016-01-15 13:25:58 -0500
commite8ce2fbbc4fee5b045ba4d89ec7b6e453e8998a9 (patch)
treebe1562d0f416ee8f01d7ef5b4a655f4cec843832 /net-misc
parentnet-misc/gsutil: version bump to 4.16 (diff)
downloadgentoo-e8ce2fbbc4fee5b045ba4d89ec7b6e453e8998a9.tar.gz
gentoo-e8ce2fbbc4fee5b045ba4d89ec7b6e453e8998a9.tar.bz2
gentoo-e8ce2fbbc4fee5b045ba4d89ec7b6e453e8998a9.zip
net-misc/gsutil: drop some old versions
Diffstat (limited to 'net-misc')
-rw-r--r--net-misc/gsutil/Manifest2
-rw-r--r--net-misc/gsutil/files/gsutil-4.13-use-friendy-version-checks.patch24
-rw-r--r--net-misc/gsutil/files/gsutil-4.14-use-friendy-version-checks.patch24
-rw-r--r--net-misc/gsutil/gsutil-4.13.ebuild46
-rw-r--r--net-misc/gsutil/gsutil-4.14.ebuild46
5 files changed, 0 insertions, 142 deletions
diff --git a/net-misc/gsutil/Manifest b/net-misc/gsutil/Manifest
index d9d1914158b..70e4b177ce6 100644
--- a/net-misc/gsutil/Manifest
+++ b/net-misc/gsutil/Manifest
@@ -1,5 +1,3 @@
DIST gsutil_3.42.tar.gz 1878904 SHA256 50fc7acb7d1db8752f3eee106a3d8d65188107943e7cb30cfd3f94a9cfcdcf37 SHA512 084aaf43a44528af0cdfd9bd22beeb5d6abff240c09843cf35016d685d51b854ed5b2837eaa50c97bb44d5e1a3cdccbae6688ef27aa13f2a5db6040bf501b381 WHIRLPOOL 5b0d0fb1d2446a7b8777f368f073fdb4f7ad2d6407735976c178a2727a2548bf28522e06469dd0b7df1578d5586bc152fba3520b66f88d706417947aa3aa5578
-DIST gsutil_4.13.tar.gz 2790817 SHA256 f6fa8a77ff0475ba4898b2a4453ed3ead551499485000420f12bc4f7cfbcc09e SHA512 b146c8ce6fba09b07a752842d1ca3f83c74250553a4dae50ce32bf8ece2ded366e1b60d5c0af3727e2f5ed8d0766c9345bbf1056c3af571a26d2ed76187b57c9 WHIRLPOOL 5a989c51a9e550523713dc658255036a044f0e88dfd3869ca362d573bae6ff83004bb3249674b15fe6082b666d3c598a6f133c9b2e3c7e373a20f5db54b6d361
-DIST gsutil_4.14.tar.gz 2824826 SHA256 225d0a58c0a5ee98830efc7d5524ec4d4779304c08c80ecb608d83d9b209b4cb SHA512 a74993406786fe33b17539f62e0384084b692793746bb78b17fbca8b6a3ff840ab6d500cd4b0911f1cf176b3629ffc7f879dd056d0324e601c3a4dc499a9dedd WHIRLPOOL bd7e85887f343b96535cc4f33ddf26b847bc4275de25644582123c444fb6748cf78b67c614eec94faf38c3aa474a3ba362579e6190566bfd7b63919191658d46
DIST gsutil_4.15.tar.gz 2826243 SHA256 faf481515be2ee0af2a04560ec207fe6253e9854804813eae1d800adbfd2a419 SHA512 60cd516e354505d47267aa46b54d56373443e630d79c012df8712238fa63746de8b3509932222ea920ec9bc45b664f305136f2a2686640c72c246d550e2b558f WHIRLPOOL 34c5ed0ff717c3749ffc76e31c1962b94ffe888091173ab0abfffd42e690bf8a37429fa2edfd5253e41c02781792182d8ff75161c89df538d5bad5138bddd54a
DIST gsutil_4.16.tar.gz 2676340 SHA256 4c2fc1b900b75ada9b7636cba00db35e55c5a1d40063ea222e3cc2335cb5dea7 SHA512 5e0009d551eaf163169dc90b634bc2d3be5b1ac19bff5e9c69f9e7c977576b7b9cc334fce7d4b4f643b9b6e9feb6386ba81958321645dd0b43e4977c730cfedd WHIRLPOOL defbd62c81c3658eb500dbd6c4b6c3a7a8545e565551c32f2913c4281a97dbd56896632e6cdccfecd0c28b40507d13e67776549fb42eba98a4e6417e9b86886d
diff --git a/net-misc/gsutil/files/gsutil-4.13-use-friendy-version-checks.patch b/net-misc/gsutil/files/gsutil-4.13-use-friendy-version-checks.patch
deleted file mode 100644
index fef0858c3fe..00000000000
--- a/net-misc/gsutil/files/gsutil-4.13-use-friendy-version-checks.patch
+++ /dev/null
@@ -1,24 +0,0 @@
---- a/setup.py
-+++ b/setup.py
-@@ -35,10 +35,10 @@
- """
-
- requires = [
-- 'boto==2.38.0',
-+ 'boto>=2.38.0',
- 'crcmod>=1.7',
- 'gcs-oauth2-boto-plugin>=1.9',
-- 'google-apitools==0.4.8',
-+ 'google-apitools>=0.4.8',
- 'httplib2>=0.8',
- 'oauth2client>=1.4.11',
- 'protorpc>=0.10.0',
-@@ -48,7 +48,7 @@
- 'six>=1.8.0',
- # Not using 1.02 because of:
- # https://code.google.com/p/socksipy-branch/issues/detail?id=3
-- 'SocksiPy-branch==1.01',
-+ 'SocksiPy-branch>=1.01',
- ]
-
- dependency_links = [
diff --git a/net-misc/gsutil/files/gsutil-4.14-use-friendy-version-checks.patch b/net-misc/gsutil/files/gsutil-4.14-use-friendy-version-checks.patch
deleted file mode 100644
index 2ca1c810e87..00000000000
--- a/net-misc/gsutil/files/gsutil-4.14-use-friendy-version-checks.patch
+++ /dev/null
@@ -1,24 +0,0 @@
---- a/setup.py
-+++ b/setup.py
-@@ -35,10 +35,10 @@
- """
-
- requires = [
-- 'boto==2.38.0',
-+ 'boto>=2.38.0',
- 'crcmod>=1.7',
- 'gcs-oauth2-boto-plugin>=1.9',
-- 'google-apitools==0.4.9',
-+ 'google-apitools>=0.4.9',
- 'httplib2>=0.8',
- 'oauth2client>=1.4.11',
- 'protorpc>=0.10.0',
-@@ -48,7 +48,7 @@
- 'six>=1.8.0',
- # Not using 1.02 because of:
- # https://code.google.com/p/socksipy-branch/issues/detail?id=3
-- 'SocksiPy-branch==1.01',
-+ 'SocksiPy-branch>=1.01',
- ]
-
- dependency_links = [
diff --git a/net-misc/gsutil/gsutil-4.13.ebuild b/net-misc/gsutil/gsutil-4.13.ebuild
deleted file mode 100644
index 758792cbb9a..00000000000
--- a/net-misc/gsutil/gsutil-4.13.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1
-
-DESCRIPTION="command line tool for interacting with cloud storage services"
-HOMEPAGE="https://github.com/GoogleCloudPlatform/gsutil"
-SRC_URI="http://commondatastorage.googleapis.com/pub/${PN}_${PV}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
-IUSE=""
-
-RDEPEND="${PYTHON_DEPS}
- >=dev-python/boto-2.38.0[${PYTHON_USEDEP}]
- >=dev-python/crcmod-1.7[${PYTHON_USEDEP}]
- >=dev-python/httplib2-0.8[${PYTHON_USEDEP}]
- >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
- >=dev-python/gcs-oauth2-boto-plugin-1.9[${PYTHON_USEDEP}]
- >=dev-python/google-apitools-0.4.8[${PYTHON_USEDEP}]
- >=dev-python/oauth2client-1.4.11[${PYTHON_USEDEP}]
- >=dev-python/protorpc-0.10.0[${PYTHON_USEDEP}]
- >=dev-python/python-gflags-2.0[${PYTHON_USEDEP}]
- >=dev-python/retry-decorator-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/six-1.8.0[${PYTHON_USEDEP}]
- >=dev-python/socksipy-1.01[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]"
-
-S=${WORKDIR}/${PN}
-
-DOCS=( README.md CHANGES.md )
-
-PATCHES=(
- "${FILESDIR}/${PN}-4.13-use-friendy-version-checks.patch"
-)
-
-python_test() {
- export BOTO_CONFIG=${FILESDIR}/dummy.boto
- ${PYTHON} gslib/__main__.py test -u || die "tests failed"
-}
diff --git a/net-misc/gsutil/gsutil-4.14.ebuild b/net-misc/gsutil/gsutil-4.14.ebuild
deleted file mode 100644
index e47100ca175..00000000000
--- a/net-misc/gsutil/gsutil-4.14.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-PYTHON_COMPAT=( python2_7 )
-
-inherit distutils-r1
-
-DESCRIPTION="command line tool for interacting with cloud storage services"
-HOMEPAGE="https://github.com/GoogleCloudPlatform/gsutil"
-SRC_URI="http://commondatastorage.googleapis.com/pub/${PN}_${PV}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
-IUSE=""
-
-RDEPEND="${PYTHON_DEPS}
- >=dev-python/boto-2.38.0[${PYTHON_USEDEP}]
- >=dev-python/crcmod-1.7[${PYTHON_USEDEP}]
- >=dev-python/httplib2-0.8[${PYTHON_USEDEP}]
- >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
- >=dev-python/gcs-oauth2-boto-plugin-1.9[${PYTHON_USEDEP}]
- >=dev-python/google-apitools-0.4.9[${PYTHON_USEDEP}]
- >=dev-python/oauth2client-1.4.11[${PYTHON_USEDEP}]
- >=dev-python/protorpc-0.10.0[${PYTHON_USEDEP}]
- >=dev-python/python-gflags-2.0[${PYTHON_USEDEP}]
- >=dev-python/retry-decorator-1.0.0[${PYTHON_USEDEP}]
- >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
- >=dev-python/socksipy-1.01[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]"
-
-S=${WORKDIR}/${PN}
-
-DOCS=( README.md CHANGES.md )
-
-PATCHES=(
- "${FILESDIR}"/${PN}-4.14-use-friendy-version-checks.patch
-)
-
-python_test() {
- export BOTO_CONFIG=${FILESDIR}/dummy.boto
- ${PYTHON} gslib/__main__.py test -u || die "tests failed"
-}